// *****************************************************************
// *                                                               *
// *       Copyright (c) Fast Corporation, 2005                    *
// *                                                               *
// *   All Rights Reserved.  Unpublished rights  reserved  under   *
// *   the copyright laws of the Japan.                            *
// *                                                               *
// *   The software contained on this media  is  proprietary  to   *
// *   and  embodies  the  confidential  technology  of  Fast      *
// *   Corporation.  Possession, use,  duplication  or             *
// *   dissemination of the software and media is authorized only  *
// *   pursuant to a valid written license from Fast Corporation.  *
// *                                                               *
// *****************************************************************

// -------------------------------------------------------------------
// FVX Sample Program
// 
//
// 쐬 : K.Yakushinji
//    : 2005/08/08 
//
//-------------------------------------------------------------------
// ConfFileDlg.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "autobin.h"
#include "ConfFileDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfFileDlg _CAO


CConfFileDlg::CConfFileDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CConfFileDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConfFileDlg)
	m_conffile = _T("");
	m_check = FALSE;
	//}}AFX_DATA_INIT
}


void CConfFileDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfFileDlg)
	DDX_Text(pDX, IDC_CONFFILE, m_conffile);
	DDX_Check(pDX, IDC_CHECK, m_check);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfFileDlg, CDialog)
	//{{AFX_MSG_MAP(CConfFileDlg)
	ON_BN_CLICKED(IDC_BROWSE, OnBrowse)
	ON_BN_CLICKED(IDC_CHECK, OnCheck)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfFileDlg bZ[W nh

void CConfFileDlg::OnBrowse() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	// R_CAONX̐
	CString sFileName ;
	char szFilters[]="ini file(*.ini)|*.ini||";

	CFileDialog cFileDlg (TRUE , "bmp", NULL , OFN_FILEMUSTEXIST| OFN_HIDEREADONLY, szFilters, this);
	cFileDlg.m_ofn.lpstrInitialDir ="C:\\FAST_FVX\\Video_IniFiles";

	if (cFileDlg.DoModal() == IDOK){
		sFileName = cFileDlg.GetPathName();
		m_conffile = sFileName;
	}

	UpdateData(FALSE);
}

void CConfFileDlg::OnCheck() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ

	UpdateData(TRUE);
	
	if ( m_check ) {
		GetDlgItem( IDC_CONFFILE )->EnableWindow( FALSE );
		GetDlgItem( IDC_BROWSE )->EnableWindow( FALSE );
	}else{
		GetDlgItem( IDC_CONFFILE )->EnableWindow( TRUE );
		GetDlgItem( IDC_BROWSE )->EnableWindow( TRUE );
	}

}

